Productsup
CDE APIApi referencePlatform

Remove legacy executable and reset flow to default.

This will allow non BC changes for this/other versions (modifying/adding/removing individual configs).

Sign in to run requests against the CDE API.
PATCH
/connectors/{publicId}/versions/{connectorVersion}/migration/complete

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/migration/complete"
{
  "message": "Operation is only allowed for connectors with flow \"migration\"",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector does not have specified version."
}

How is this guide?